package com.pictc.converts;

public class ConvertException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public ConvertException(String message) {
		super(message);
	}

	public ConvertException(Class<?> from,Object val,Class<?> to) {
		super(from.getName() + "类型 "+(val==null?"null":val.toString())+" 无法转换至-->" + to.getName());
	}

	public ConvertException(Throwable cause) {
		super(cause);
	}

}
